public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry-core/
Date: Sun, 16 Feb 2025 03:15:24 +0000 (UTC)	[thread overview]
Message-ID: <1739673564.a225d914817120d2176a78a3de1dd75552d55711.mgorny@gentoo> (raw)

commit:     a225d914817120d2176a78a3de1dd75552d55711
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 02:39:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 02:39:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a225d914

dev-python/poetry-core: Bump to 2.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/poetry-core/Manifest                 |  1 +
 dev-python/poetry-core/poetry-core-2.1.0.ebuild | 69 +++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/poetry-core/Manifest b/dev-python/poetry-core/Manifest
index b2fe3d55f1e6..c36bcb5fac7e 100644
--- a/dev-python/poetry-core/Manifest
+++ b/dev-python/poetry-core/Manifest
@@ -1 +1,2 @@
 DIST poetry_core-2.0.1.tar.gz 355487 BLAKE2B 84bbeb7129c13d3ed1a06fbcbdcb8e1a1a608c35d398bdbf35ea70c467adbbe5d293945fecdf90e7795122af2a3f5d9fa64a99e56ee37a197ea022d271f10a15 SHA512 dd1d303abd034fc0341aaa5fc8d11f13ef305e93b9e9036f4040c2cb007c8b1eecbdb719d2b5692530b80ecc06d416751a45c499f373a05b7066e56785d1a8e8
+DIST poetry_core-2.1.0.tar.gz 362182 BLAKE2B 6f2636e76c037199b8303a58dc7cd28edc9f0359620f803a2ec2d314e1b7254aa1226eec760f425517ce318bed1cbc5c0baf7fdceec8f48b0ee8e8683ede511c SHA512 6b32bc9326766c5df21ad749f2f67d24ee4feea0abe3234206b09a5146a0a52c4b79931d3044d4259e60f1bc8c369035309bab08710893b7e541c2fcf3f4b54d

diff --git a/dev-python/poetry-core/poetry-core-2.1.0.ebuild b/dev-python/poetry-core/poetry-core-2.1.0.ebuild
new file mode 100644
index 000000000000..783eb3882bb2
--- /dev/null
+++ b/dev-python/poetry-core/poetry-core-2.1.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Poetry PEP 517 Build Backend"
+HOMEPAGE="
+	https://github.com/python-poetry/poetry-core/
+	https://pypi.org/project/poetry-core/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+# check inside vendors/pyproject.toml
+# (note that some are indirect deps)
+RDEPEND="
+	>=dev-python/fastjsonschema-2.21.1[${PYTHON_USEDEP}]
+	>=dev-python/lark-1.2.2[${PYTHON_USEDEP}]
+	>=dev-python/packaging-24.2[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/tomli-2.2.1[${PYTHON_USEDEP}]
+	' 3.10)
+"
+BDEPEND="
+	${RDEPEND}
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/build[${PYTHON_USEDEP}]
+			dev-python/pytest-mock[${PYTHON_USEDEP}]
+			dev-python/tomli-w[${PYTHON_USEDEP}]
+			>=dev-python/trove-classifiers-2022.5.19[${PYTHON_USEDEP}]
+			>=dev-python/virtualenv-20.21[${PYTHON_USEDEP}]
+			dev-vcs/git
+		' "${PYTHON_TESTED[@]}")
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# remove vendoring of dependencies
+	rm -r src/poetry/core/_vendor || die
+	sed -e '/__vendor_site__/d' -i src/poetry/core/__init__.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+		einfo "Skipping tests on ${EPYTHON} (unported deps)"
+		return
+	fi
+
+	# Poetry expects test to be run inside a git repository, otherwise
+	# VCS-related logic doesn't get triggered.  An empty repository
+	# suffices, though.
+	git init || die
+
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest -p pytest_mock
+}


             reply	other threads:[~2025-02-16  3:15 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-16  3:15 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08 10:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry-core/ Michał Górny
2025-03-08 10:48 Arthur Zamarin
2025-02-17 20:47 Michał Górny
2025-02-16 20:48 Michał Górny
2025-02-15 13:09 Michał Górny
2025-02-01 10:13 Michał Górny
2025-02-01  9:52 Arthur Zamarin
2025-01-12  3:23 Michał Górny
2025-01-05  2:55 Michał Górny
2024-11-02  7:56 Sam James
2024-10-14  3:34 Michał Górny
2024-05-13 18:45 Michał Górny
2024-05-09 17:32 Michał Górny
2024-04-15 12:19 Michał Górny
2024-02-18  3:28 Michał Górny
2024-02-17 22:26 Sam James
2024-02-03  7:22 Michał Górny
2023-11-29 10:17 Michał Górny
2023-11-29 10:15 Michał Górny
2023-10-31 19:12 Michał Górny
2023-09-25 16:54 Arthur Zamarin
2023-08-20 16:40 Michał Górny
2023-07-08 10:47 Benda XU
2023-06-18 17:13 Michał Górny
2023-06-18 14:47 Sam James
2023-05-29 15:04 Michał Górny
2023-05-27 13:21 Michał Górny
2023-05-19 16:06 Michał Górny
2023-05-19 16:03 Michał Górny
2023-05-15  5:58 Michał Górny
2023-04-13  6:32 Michał Górny
2023-04-13  5:45 Sam James
2023-03-14  5:02 Michał Górny
2023-03-07  9:17 Michał Górny
2023-03-04  7:16 Michał Górny
2023-03-03 17:31 Arthur Zamarin
2023-02-21  7:41 Michał Górny
2023-02-15  9:31 Michał Górny
2023-01-28 16:18 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-23  8:41 Michał Górny
2022-11-09  6:12 Michał Górny
2022-11-08 20:26 Arthur Zamarin
2022-10-08  8:01 Michał Górny
2022-10-03  6:43 Michał Górny
2022-10-02 19:51 Arthur Zamarin
2022-09-19 19:02 Arthur Zamarin
2022-08-31 15:55 Michał Górny
2022-08-31  9:21 Michał Górny
2022-05-12 14:01 Michał Górny
2022-04-09 18:39 Michał Górny
2022-04-09 16:34 Arthur Zamarin
2022-03-09 19:13 Arthur Zamarin
2022-02-11 21:44 Arthur Zamarin
2022-02-11 21:32 Arthur Zamarin
2022-02-11 21:11 Arthur Zamarin
2022-02-11 21:07 Arthur Zamarin
2022-02-11 21:02 Arthur Zamarin
2022-02-11  7:26 Agostino Sarubbo
2022-02-11  7:25 Agostino Sarubbo
2022-02-11  7:24 Agostino Sarubbo
2022-01-26 23:19 Michał Górny
2022-01-26 21:53 Michał Górny
2022-01-19 22:45 James Le Cuirot
2022-01-19 13:51 Marek Szuba
2022-01-17  6:53 Joshua Kinard
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 17:53 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1739673564.a225d914817120d2176a78a3de1dd75552d55711.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox